
#ifndef __KP_PADAREA_H__
#define __KP_PADAREA_H__

#include "defs.h"

G_BEGIN_DECLS

#define KP_TYPE_PADAREA (kp_padarea_get_type ())
#define KP_PADAREA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), KP_TYPE_PADAREA, KpPadArea))
#define KP_PADAREA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), KP_TYPE_PADAREA, KpPadAreaClass))
#define KP_IS_PADAREA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KP_TYPE_PADAREA))
#define KP_IS_PADAREA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), KP_TYPE_PADAREA))
#define KP_PADAREA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KP_TYPE_PADAREA, KpPadAreaClass))

typedef struct _KpPadArea KpPadArea;
typedef struct _KpPadAreaClass KpPadAreaClass;

struct _KpPadArea {
    GtkDrawingArea     parent_instance;
    gboolean annotate;
    GList   *strokes;
    GList   *curstroke;
    gint    instroke, line_width, sig_id_stroke_added, signal;
};

struct _KpPadAreaClass {
    GtkDrawingAreaClass    parent_class;
    void (*stroke_added)(KpPadArea *self, gpointer ptr);
};

void	kp_padarea_clear(KpPadArea *self);
void	kp_padarea_undo(KpPadArea *self);
void	kp_padarea_annotate(KpPadArea *self, gboolean annotate);
void	kp_padarea_changed_cb(KpPadArea *self);

GType	kp_padarea_get_type(void);

G_END_DECLS

#endif
